<%
CONST connectionstring = "UID=sa;PWD=sa;DSN=test"
CONST adOpenStatic = 3
CONST adLockOptimistic = 3


''''''''''''''''''''''''''''''''''''''''''''
' Job Site Functions
' This file contains procedures
' that are used throughout the job site
''''''''''''''''''''''''''''''''''''''''''''

''''''''''''''''''''''''''''
' Display Navigation Bar
''''''''''''''''''''''''''''
Sub displayNavbar( byVal currentPage )
  if currentPage = "Home" then
  %>
  Home |
  <%
  else
  %>
  <a href="default.asp">Home</a> |
  <%
  end if
  if currentPage = "Search Jobs" then
  %>
  Search Jobs |
  <%
  else
  %>
  <a href="searchjobs.asp">Search Jobs</a> |
  <%
  end if
  if currentPage = "Search Resumes" then
  %>
  Search Resumes |
  <%
  else
  %>
  <a href="searchresumes.asp">Search Resumes</a> |
  <%
  end if
  if currentPage = "Post Resume" then
  %>
  Post Resume |
  <%
  else
  %>
  <a href="postresume.asp">Post Resume</a> |
  <%
  end if
  if currentPage = "Post Job" then
  %>
  Post Job
  <%
  else
  %>
  <a href="postjob.asp">Post Job</a>
  <%
  end if
End Sub


''''''''''''''''''''''''
' Display Page Header
''''''''''''''''''''''''
SUB displayHeader( byVal currentPage )
  Set MyAd=Server.CreateObject("MSWC.AdRotator")
  %>
  <html>
  <head>
  <title>ASP Job Site - <%=currentPage%></title>
  </head>
  <body>
  <center>
  <img src="logo.gif">
  <table cellspacing="0" cellpadding="0" width="640" border=0>
  <tr>
    <td bgcolor="#0000ff"><img height="2" width="1"></td>
  </tr>
  </table>
  <table border="0" width="640" cellpadding="10" cellspacing="0" bgcolor="#eeeeee">
  <tr>
    <td align="center">
    <%= MyAd.GetAdvertisement("adrot.txt") %>
    </td>
  </tr>
  </table>
  <table cellspacing="0" cellpadding="0" width="640" border=0>
  <tr>
    <td bgcolor="#0000ff"><img height="2" width="1"></td>
  </tr>
  </table>
  <font size=-1>
  <% displayNavbar currentpage %>
  </font>
  </center>
  <%
END SUB

'''''''''''''''''''''''''''
' Display Page Footer
'''''''''''''''''''''''''''
SUB displayFooter( byVal currentPage )
  Set MyAd=Server.CreateObject("MSWC.AdRotator")
  %>
  <p>
  <center>
  <table cellspacing="0" cellpadding="0" width="640">
  <tr>
    <td bgcolor="#0000ff"><img height="2" width="1"></td>
  </tr>
  </table>
  <font size=-1>
  <% displayNavbar currentpage %>
  </font>
  <font size=-2>
  <p>&copy;1999 ASPSite. All rights reserved.
  </font>
  </center>
  </body>
  </html>
  <%
END SUB


'''''''''''''''''''''''''''''''''''''''''''''''''
'  ERROR FORM 
'''''''''''''''''''''''''''''''''''''''''''''''''
SUB errorFORM( byVal backpage, byVal errorMSG )
  %>
  <% displayHeader "Error" %>
  <center>
  <p>
  <table width=400 cellpadding=5 cellspacing=0
   bgcolor="lightyellow" border=2>
  <tr><td> 
  There was a problem with the information you entered:</b>
  <blockquote>
  <b><%=errorMSG %></b>
  </blockquote>
  <form method="post" action="<%=backpage%>">
  <% formFields %>
  <input type="submit" value=" << Return ">
  </form>
  </td></tr>
  </table>
  </center>
  <% displayFooter "Error" %>
  <%
  Response.End
END SUB

''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'  DUMP ALL OF THE FORM FIELDS
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
SUB formFields
     DIM element, fieldAttrib
     FOR EACH element IN Request.Form
          fieldAttrib = UCASE( RIGHT( element, 4 ) )
          IF fieldAttrib <> "_REQ" AND fieldAttrib <> "_VAL" THEN
	%>
	<input name="<%=element%>" 
	type="hidden" 
	value="<%=Server.HTMLEncode( Request.Form( element ) )%>">
	<%
          END IF
     NEXT
END SUB


'''''''''''''''''''''''
'  Check A Checkbox
'''''''''''''''''''''''
FUNCTION Checked( byVal theBox )
  if UCASE( theBox ) = "YES" then
    Checked = "CHECKED "
  else
    Checked = ""
  end if
END FUNCTION



''''''''''''''''''''''
' Select an Option
''''''''''''''''''''''
FUNCTION SELECTED( byVal theOption, byVal theVal )
  if UCASE( theOption ) = UCASE( theVal ) then
    SELECTED = "SELECTED "
  else
    SELECTED = ""
  end if
END FUNCTION


''''''''''''''''''''''
' Double Single Quote
''''''''''''''''''''''
FUNCTION fixQuotes( ByVal theString )
  fixQuotes = Replace( theString, "'", "''" )
END FUNCTION



''''''''''''''''''''
' Format Text     
''''''''''''''''''''
FUNCTION formatText( ByVal theText )
  if INSTR( theText, ">" ) > 0 then
    theText = Replace( theText, "<table", "<x", vbtextcompare )
    theText = Replace( theText, "</table",  "<x", vbtextcompare )
    theText = Replace( theText, "<tr", "<x", vbtextcompare )
    theText = Replace( theText, "</tr", "<x", vbtextcompare )
    theText = Replace( theText, "<td", "<x", vbtextcompare )
    theText = Replace( theText, "</td", "<x", vbtextcompare )
    formatText = theText
  else
    theText = Replace( theText, vbCRLF&vbCRLF, "<p>" )
    theText = Replace( theText, vbCRLF, "<br>" )
    formatText = theText
  end if
END FUNCTION


''''''''''''''''''''
' Show Field Value
''''''''''''''''''''
FUNCTION displayField( byVal theField )
  if TRIM( theField ) = "" then
    displayField = "unlisted"
  else
    displayField = theField
  end if
END FUNCTION


''''''''''''''''''''
' Display Job Type
''''''''''''''''''''
FUNCTION displayJobType( byVal permanent, byVal contract )
  IF permanent <> "" then
    displayJobType = "Permanent"
    IF contract <> "" then
      displayJobType = "Permanent/Contract"
    END IF
  ELSE
    IF contract <> "" then
      displayJobType = "Contract"
    END IF
  END IF
END FUNCTION


%>