PRINT 'Thank you for using the ASP Job Site!'
PRINT 'Creating two tables named Jobs and Resumes'


/****** Object:  Table [dbo].[Jobs]    Script Date: 3/21/99 3:05:32 AM ******/
CREATE TABLE [dbo].[Jobs] (
	[job_id] [int] IDENTITY (1, 1) NOT NULL ,
	[fname] [varchar] (100) NULL ,
	[lname] [varchar] (100) NULL ,
	[phone] [varchar] (20) NOT NULL ,
	[email] [varchar] (80) NOT NULL ,
	[state] [varchar] (5) NULL ,
	[country] [varchar] (5) NULL ,
	[bdesc] [varchar] (100) NULL ,
	[perm] [varchar] (3) NULL ,
	[contract] [varchar] (3) NULL ,
	[job] [text] NULL ,
	[expires] [datetime] NULL ,
	[entrydate] [datetime] NOT NULL DEFAULT getDATE() 
) 
GO

grant all on Jobs to public

/****** Object:  Table [dbo].[Resumes]    Script Date: 3/21/99 3:05:35 AM ******/
CREATE TABLE [dbo].[Resumes] (
	[resume_id] [int] IDENTITY (1, 1) NOT NULL ,
	[fname] [varchar] (100) NULL ,
	[lname] [varchar] (100) NULL ,
	[phone] [varchar] (20) NULL ,
	[email] [varchar] (80) NULL ,
	[state] [varchar] (5) NULL ,
	[country] [varchar] (5) NULL ,
	[bdesc] [varchar] (100) NULL ,
	[perm] [varchar] (3) NULL ,
	[contract] [varchar] (3) NULL ,
	[resume] [text] NULL ,
	[expires] [datetime] NULL ,
	[entrydate] [datetime] NOT NULL DEFAULT getDATE()
)
GO

grant all on Resumes to public

PRINT 'All Done!'